| Home | Libraries | People | FAQ | More

## Struct template size_type

boost::intrusive::size_type

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<typename SizeType>
    struct size_type {
      // member classes/structs/unions

      // @ template<class Base>

      struct pack {
        // types
        typedef SizeType size_type;
      };
    };

## Description

This option setter specifies the type that the container will use to store its size.